package com.ozs.system.domain.vo;

import com.ozs.common.core.domain.entity.SysDept;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Administrator
 * 报警信息请求参数
 */
@Data
public class ReqMsgAlarmVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long alarmId;

    /** 报警时间 */
    private String alarmTime;

    /** 相机编码 */
    private Long alarmCamera;

    /** 报警里程位置 */
    private String alarmMile;

    /** 报警内容 */
    private String content;

    /** 报警置信度（百分比） */
    private String alarmConfidence;

    /** 报警行别 */
    private Integer lineDir;

    /** 报警病害类型（目前只有1泥石流，后续可扩展使用） */
    private Integer alarmType;

    /** 报警病害属性（可以给出泥石流的框定范围） */
    private String alarmArrr;

    private String files;

    /** 报警图片地址 */
    private String imageUrl;

    /** 报警是否解除 1已解除2未解除 */
    private Integer isLock;
}
